MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

The sc-libtool program is used to link and build MPQC executables and libraries.

# Description

The sc-libtool command provides generalized library-building support services. sc-libtool accepts the following options:

`--config`
  Show all configuration variables.
`--debug`
  Enable verbose shell tracing.
`-n, --dry-run`
  Display commands without modifying any files.
`--features`
  Display basic configuration information and exit.
`--finish`
  Same as `--mode=finish`.
`--help`
  Display help message and exit
`--mode=MODE`
  Use operation mode MODE (default=inferred from MODE-ARGS).
`--quiet`
  Same as --silent.
`--silent`
  Don't print informational messages.
`--tag=TAG`
  Use configuration variables from tag TAG.
`--version`
  Print version information.

MODE must be one of the following:

`clean`
  Remove files from the build directory.
`compile`
  Compile a source file into a libtool object.
`execute`
  Automatically set library path, then run a program.
`finish`
  Complete the installation of libtool libraries.
`install`
  Install libraries or executables.
`link`
  Create a library or an executable.
`uninstall`
  Remove libraries from an installed directory.

# License

sc-libtool is open-source software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

# Warranty

sc-libtool is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.